WordPress.org

Support

Support » Plugins and Hacks » TinyMCE Advanced » [Resolved] Error with WYSIWYG javascript

[Resolved] Error with WYSIWYG javascript

  • Hello,

    When I write a javascript in text mode, my script is automatically modify by tinyMCE editor so I’m facing an issue.

    For example, I write the script :

    <script src="http://maps.googleapis.com/maps/api/js?key=AIzaSyDY0kkJiTPVd2U7aTOAwhc9ySH6oHxOIYM&sensor=false">
    </script>

    The script is modify to :

    &nbsp;

    Now, I write the same script without the line feed :

    <script src="http://maps.googleapis.com/maps/api/js?key=AIzaSyDY0kkJiTPVd2U7aTOAwhc9ySH6oHxOIYM&sensor=false"></script>

    The script is modify to (& modify to &amp;) :

    <script type="text/javascript" src="http://maps.googleapis.com/maps/api/js?key=AIzaSyDY0kkJiTPVd2U7aTOAwhc9ySH6oHxOIYM&amp;sensor=false"></script>

    Is there any way to solve this issue ?

    Thanks in advance !

    http://wordpress.org/plugins/tinymce-advanced/

Viewing 1 replies (of 1 total)
  • Plugin Author Andrew Ozz

    @azaozz

    The problem with the first example seems to be that the <script> tag is “empty”. TinyMCE 3.5 expects some content in it and wraps it in <![CDATA[ so some browsers don’t mangle it in contenteditable mode. Having only a single line break doesn’t seem to work.

    The replacement of & with &apm in HTML tag attributes (like script src) is a requirement for both XHTML and HTML5 (if I remember correctly).

Viewing 1 replies (of 1 total)
  • The topic ‘[Resolved] Error with WYSIWYG javascript’ is closed to new replies.
Skip to toolbar